// définir ici les variables globales (qui seront utilisées dans tout le programme)
// par exemple le numéro du tour joué (qui sera utilisé avec %2 pour déterminer le numéro du joueur en action)
var Grille=[[0,0,0],[0,0,0],[0,0,0]] 
var dim = 150; // c'est la taille d'une case
var gagne =0;  // cette 


function grid() {
	stroke(0);
	strokeWeight(4);
	for (var k =0;k<=3;k++) {
			line(dim*k,0,dim*k,3*dim); // verticales
			line(0,dim*k,3*dim,dim*k); // horizontales
	}
}

function croix(i,j) {
	stroke(0,0,255);
	strokeWeight(4);
	line(i*dim+dim-4,j*dim+4,i*dim+4,j*dim+dim-4); 
	line(i*dim+4,j*dim+4,i*dim+dim-4,j*dim+dim-4);
}

function cercle(i,j){
	stroke(255,0,0);
	strokeWeight(4);
	circle(dim*(i+0.5),dim*(j+0.5),dim-8);
}

function surlignage(player){
	var x = Math.floor(mouseX/dim)*dim;
	var y = Math.floor(mouseY/dim)*dim;
	if (player==1) {stroke(0,0,255);} else {stroke(255,0,0);}
	strokeWeight(8);
	line(x,y,x+dim,y);
	line(x+dim,y,x+dim,y+dim);
	line(x+dim,y+dim,x,y+dim);
	line(x,y+dim,x,y);
}


function affichage(grille){
	grid();
	for (var i=0;i<3;i++){
		for (var j=0;j<3;j++){
			if (grille[j][i]==1) {croix(i,j);}
			if (grille[j][i]==2) {cercle(i,j);}
		}
	}

}

function jouabilite(grille,i,j){
    return grille[j][i]==0;}

function joue(grille,i,j,player){
    grille[j][i]=player;}

function testeHoriz(grille,player){
    for (var j=0;j<3;j++){
        if ((grille[j][0]==player) && (grille[j][1]==player) && (grille[j][2]==player)){
            return true;
        }
    }
    return false;}

function testeVert(grille,player){
    for (var i=0;i<3;i++){
        if ((grille[0][i]==player) && (grille[1][i]==player) && (grille[2][i]==player)){
            return true;}
        }
    return false;}

function testeOblique(grille,player){
    if ((grille[0][0]==player) && (grille[1][1]==player) && (grille[2][2]==player)){
            return true;}
    if ((grille[0][2]==player) && (grille[1][1]==player) && (grille[2][0]==player)){
            return true;}
    return false;}

function testeGagne(grille,player){
    return ((testeHoriz(grille,player)) || (testeVert(grille,player)) || (testeOblique(grille,player)));}

function ouSuisJe(){
	return [Math.floor(mouseX/dim),Math.floor(mouseY/dim)];
}

function onJoue() {
	// dans cette fonction il faudra récupérer les coordonnées de la souris 
	// s'en servir pour déduire la case survolée
	// tester si elle est jouable
	// 			le cas échéant la jouer
	// 			vérifier si le pion joué provoque une victoire ou un match nul
	// 				provoquer un message indiquant la situation
	// 				tout stoper ou permettre de rejouer
	//			sinon
	//				passer au joueur suivant
	// sinon
	//			
}



function setup() {
  toile = createCanvas(3*dim, 3*dim);

  toile.mouseClicked(onJoue); // cette commande active la fonction onJoue quand on clique 
  //et que le curseur est sur le canevas



}


function draw() {
	// partie activé en boucle, on pourra y mettre l'affichage des message 
	// (avec un compte à rebour pour qu'il cesse de s'afficher au bout d'un temp prédéfini)



}